package abacus.springboot.example.api.view;

import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "货品图片" , name = "ApiReqJcBillGoodsPhoto")
public class ApiReqJcBillGoodsPhoto {

	@Schema(description = "货品编号", required = false, example = "B20181118-001")
	private String goodsid;
	
	@Schema(description = "物流码", required = false, example = "HTTPS://M.DIAOYUTAIJI")
	private String logisticsid;
	
	@Schema(description = "货品图片", required = false,  pattern = "这是个JSON数组，不是JSONArray对象", example = "[\"44444\",\"aaaaa\"]")
	private List<String> goodsPhotos;

	public String getLogisticsid() {
		return logisticsid;
	}

	public void setLogisticsid(String logisticsid) {
		this.logisticsid = logisticsid;
	}

	public String getGoodsid() {
		return goodsid;
	}

	public void setGoodsid(String goodsid) {
		this.goodsid = goodsid;
	}

	public List<String> getGoodsPhotos() {
		return goodsPhotos;
	}

	public void setGoodsPhotos(List<String> goodsPhotos) {
		this.goodsPhotos = goodsPhotos;
	}
}
